Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Get auction details (public metadata - no authentication required)
cURL
curl --request GET \ --url https://consumer.fanfare.io/api/auctions/{auctionId}
const options = {method: 'GET'}; fetch('https://consumer.fanfare.io/api/auctions/{auctionId}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://consumer.fanfare.io/api/auctions/{auctionId}" response = requests.get(url) print(response.text)
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://consumer.fanfare.io/api/auctions/{auctionId}" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
{ "currencyCode": "<string>", "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "settleAt": "2023-11-07T05:31:56Z", "timeZone": "<string>", "auctionType": "english", "autoExtendSeconds": 123, "closeAt": "2023-11-07T05:31:56Z", "floorPrice": "<string>", "minBidIncrement": "<string>", "openAt": "2023-11-07T05:31:56Z", "priceDropAmount": "<string>", "priceDropIntervalSeconds": 123, "quantity": 123, "reservePrice": "<string>", "startPrice": "<string>", "statusOverride": "ended", "statusOverrideAt": "2023-11-07T05:31:56Z", "statusOverrideBy": "<string>", "teardownStatus": "pending" }
{ "error": "validation_error", "issues": [ { "expected": "<string>", "kind": "<string>", "message": "<string>", "path": [ { "input": "<unknown>", "key": "<string>", "origin": "<string>", "type": "<string>" } ], "received": "<string>", "type": "<string>" } ] }
{ "error": "<string>" }
Retrieved auction details
1
english
dutch
^\d{1,12}(\.\d{1,8})?$
ended
pending
completed